# Bare Metal Cloud › VPS › Servers API

> Part of the OVHcloud developer hub. Index of every page and section: https://developers.eu.ovhcloud.com/llms.txt
> The Bare Metal Cloud product's sections: https://developers.eu.ovhcloud.com/reference/bare-metal-cloud/llms.txt
> Everything in one file: https://developers.eu.ovhcloud.com/llms-full.txt

> 13 operations of the OVHcloud API. Calls carry `authorization: Bearer $OVH_TOKEN`; the EU host is shown, Canada and the United States answer on api.ca.ovhcloud.com and api.us.ovhcloud.com.

Page: https://developers.eu.ovhcloud.com/reference/bare-metal-cloud/vps/servers/

OpenAPI v1: https://api.eu.ovhcloud.com/1.0/__schemas/developer-hub-navigation/bare-metal-cloud/vps/servers.json?format=openapi3
OpenAPI v2: https://api.eu.ovhcloud.com/v2/__schemas/developer-hub-navigation/bare-metal-cloud/vps/servers.json?format=openapi3

## Operations

- `GET /vps` — List your VPS
- `GET /vps/{serviceName}/option` — List options attached to this VPS
- `GET /vps/{serviceName}/tasks` — List tasks associated with this VPS
- `GET /vps/{serviceName}` — Get information about a specific VPS
- `GET /vps/{serviceName}/datacenter` — Retrieve the datacenter information for this VPS
- `GET /vps/{serviceName}/images/current` — Retrieve the currently installed image on this VPS
- `GET /vps/{serviceName}/option/{option}` — Retrieve details about a specific option attached to this VPS
- `GET /vps/{serviceName}/tasks/{id}` — Retrieve details about a specific task for this VPS
- `POST /vps/{serviceName}/reboot` — Request a reboot of the VPS
- `POST /vps/{serviceName}/rebuild` — Rebuild (reinstall) this VPS and return an asynchronous task
- `POST /vps/{serviceName}/start` — Start the VPS (power on) and return an asynchronous task
- `POST /vps/{serviceName}/stop` — Stop the VPS (power off) and return an asynchronous task
- `PUT /vps/{serviceName}` — Edit properties of the given VPS

## List your VPS

`GET /1.0/vps`

Link: https://developers.eu.ovhcloud.com/reference/bare-metal-cloud/vps/servers/#listVPS

**Status:** Stable production version  
**IAM actions:** `vps:apiovh:get`

Returns the names of the VPS of the account. Each name is the service name used by the other calls.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `iamTags` | query | object |  | Filter resources on IAM tags |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | string[] | successful operation |

```json
[
  "string"
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/vps" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/vps")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/vps");

print_r($result);
?>
```

## List options attached to this VPS

`GET /1.0/vps/{serviceName}/option`

Link: https://developers.eu.ovhcloud.com/reference/bare-metal-cloud/vps/servers/#listVpsOptions

**Status:** Stable production version  
**IAM actions:** `vps:apiovh:option/get`

Returns the options attached to the VPS.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | vps.VpsOptionEnum[] | successful operation |

```json
[
  "additionalDisk"
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/option" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/vps/{serviceName}/option")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/vps/{serviceName}/option");

print_r($result);
?>
```

## List tasks associated with this VPS

`GET /1.0/vps/{serviceName}/tasks`

Link: https://developers.eu.ovhcloud.com/reference/bare-metal-cloud/vps/servers/#listVpsTasks

**Status:** Stable production version  
**IAM actions:** `vps:apiovh:tasks/get`

Returns the IDs of the tasks of the VPS.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |
| `state` | query | vps.TaskStateEnum |  | Filter the value of state property (=) — one of `blocked`, `cancelled`, `doing`, `done`, `error`, `paused`, `todo`, `waitingAck` |
| `type` | query | vps.TaskTypeEnum |  | Filter the value of type property (=) — one of `addVeeamBackupJob`, `changeRootPassword`, `createSnapshot`, `deleteSnapshot`, `deliverVm`, `getConsoleUrl`, `internalTask`, `migrate`, `openConsoleAccess`, `provisioningAdditionalIp`, `reOpenVm`, `rebootVm`, … |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | integer[] | successful operation |

```json
[
  0
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/tasks" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/vps/{serviceName}/tasks")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/vps/{serviceName}/tasks");

print_r($result);
?>
```

## Get information about a specific VPS

`GET /1.0/vps/{serviceName}`

Link: https://developers.eu.ovhcloud.com/reference/bare-metal-cloud/vps/servers/#getVPS

**Status:** Stable production version  
**IAM actions:** `vps:apiovh:get`

Returns the model, zone, state, netboot mode, keymap, lock status, vCore count, memory limit and IAM metadata of the VPS.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | vps.VPSWithIAM | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `cluster` | string | read-only |  |
| `displayName` | string |  | Set the name displayed in ManagerV6 for your VPS (max 50 chars) |
| `iam` | iam.ResourceMetadata | read-only | IAM resource metadata |
| `iam.displayName` | string | read-only | Resource display name |
| `iam.id` | string (uuid) | read-only | Unique identifier of the resource |
| `iam.state` | iam.ResourceMetadata.StateEnum | read-only | Resource state — one of `EXPIRED`, `IN_CREATION`, `OK`, `SUSPENDED` |
| `iam.tags` | object | read-only | Resource tags. Tags that were internally computed are prefixed with ovh: |
| `iam.urn` | string | read-only | Unique resource name used in policies |
| `keymap` | vps.VpsKeymapEnum |  | Set KVM keyboard layout on VPS Cloud. Reboot your VPS after change — one of `fr`, `us` |
| `lockStatus` | vps.LockStatus | read-only | Lock status of the VPS |
| `lockStatus.locked` | boolean | read-only | Indicates whether the VPS is locked |
| `lockStatus.reason` | vps.LockReasonEnum | read-only | The reason for the lock — one of `abuse` |
| `memoryLimit` | integer | read-only |  |
| `model` | vps.Model | read-only | A structure describing characteristics of a VPS model |
| `model.availableOptions` | vps.VpsOptionEnum[] |  |  |
| `model.datacenter` | string[] |  |  |
| `model.disk` | integer |  |  |
| `model.diskLocationType` | vps.disk.LocationTypeEnum | read-only | Possible location type a disk can have — one of `distant`, `local` |
| `model.maximumAdditionnalIp` | integer |  |  |
| `model.memory` | integer |  |  |
| `model.name` | string |  |  |
| `model.offer` | string |  |  |
| `model.vcore` | integer |  |  |
| `model.version` | vps.VpsVersionEnum |  | All versions that VPS can have — one of `2013v1`, `2014v1`, `2015v1`, `2017v1`, `2017v2`, `2017v3`, `2018v1`, `2018v2`, `2019v1`, `2025v1` |
| `monitoringIpBlocks` | ipBlock[] | read-only | Ip blocks for OVH monitoring servers |
| `name` | string | read-only |  |
| `netbootMode` | vps.VpsNetbootEnum |  | All values a VPS netboot mode can be in — one of `distant`, `local`, `rescue` |
| `offerType` | vps.VpsOfferEnum | read-only | All offers a VPS can have — one of `beta-classic`, `classic`, `cloud`, `cloudram`, `game-classic`, `lowlat`, `ssd` |
| `slaMonitoring` | boolean |  |  |
| `state` | vps.VpsStateEnum | read-only | All states a VPS can be in — one of `backuping`, `installing`, `maintenance`, `rebooting`, `rescued`, `running`, `stopped`, `stopping`, `upgrading` |
| `vcore` | integer | read-only |  |
| `zone` | string | read-only |  |
| `zoneType` | vps.ZoneTypeEnum | read-only | Enum values for zone type — one of `localzone`, `region` |

```json
{
  "cluster": "string",
  "displayName": "string",
  "iam": {
    "displayName": "string",
    "id": "00000000-0000-0000-0000-000000000000",
    "state": "EXPIRED",
    "tags": {
      "key": "string"
    },
    "urn": "string"
  },
  "keymap": "fr",
  "lockStatus": {
    "locked": true,
    "reason": "abuse"
  },
  "memoryLimit": 0,
  "model": {
    "availableOptions": [
      "additionalDisk"
    ],
    "datacenter": [
      "string"
    ],
    "disk": 0,
    "diskLocationType": "distant",
    "maximumAdditionnalIp": 0,
    "memory": 0,
    "name": "string",
    "offer": "string",
    "vcore": 0,
    "version": "2013v1"
  },
  "monitoringIpBlocks": [
    "192.0.2.0/24"
  ],
  "name": "string",
  "netbootMode": "distant",
  "offerType": "beta-classic",
  "slaMonitoring": true,
  "state": "backuping",
  "vcore": 0,
  "zone": "string",
  "zoneType": "localzone"
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/vps/{serviceName}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/vps/{serviceName}")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/vps/{serviceName}");

print_r($result);
?>
```

## Retrieve the datacenter information for this VPS

`GET /1.0/vps/{serviceName}/datacenter`

Link: https://developers.eu.ovhcloud.com/reference/bare-metal-cloud/vps/servers/#getVpsDatacenter

**Status:** Stable production version  
**IAM actions:** `vps:apiovh:datacenter/get`

Returns the name, long name and country of the datacenter of the VPS.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | vps.Datacenter | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `country` | coreTypes.CountryEnum | read-only | Datacenter ISO country code — one of `ac`, `ad`, `ae`, `af`, `ag`, `ai`, `al`, `am`, `an`, `ao`, `aq`, `ar`, … |
| `longName` | string | read-only | Datacenter display name |
| `name` | string | read-only | Datacenter name |

```json
{
  "country": "ac",
  "longName": "string",
  "name": "string"
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/datacenter" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/vps/{serviceName}/datacenter")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/vps/{serviceName}/datacenter");

print_r($result);
?>
```

## Retrieve the currently installed image on this VPS

`GET /1.0/vps/{serviceName}/images/current`

Link: https://developers.eu.ovhcloud.com/reference/bare-metal-cloud/vps/servers/#getVpsCurrentImage

**Status:** Beta version  
**IAM actions:** `vps:apiovh:images/current/get`

Returns the name, distribution and version of the image currently installed on the VPS.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | vps.Image | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string | read-only |  |
| `name` | string | read-only |  |

```json
{
  "id": "string",
  "name": "string"
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/images/current" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/vps/{serviceName}/images/current")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/vps/{serviceName}/images/current");

print_r($result);
?>
```

## Retrieve details about a specific option attached to this VPS

`GET /1.0/vps/{serviceName}/option/{option}`

Link: https://developers.eu.ovhcloud.com/reference/bare-metal-cloud/vps/servers/#getVpsOption

**Status:** Stable production version  
**IAM actions:** `vps:apiovh:option/get`

Returns the option and its state on the VPS.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `option` | path | vps.VpsOptionEnum | yes | Option — one of `additionalDisk`, `automatedBackup`, `cpanel`, `ftpbackup`, `plesk`, `snapshot`, `veeam`, `windows` |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | vps.Option | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `option` | vps.VpsOptionEnum | read-only | The option name — one of `additionalDisk`, `automatedBackup`, `cpanel`, `ftpbackup`, `plesk`, `snapshot`, `veeam`, `windows` |
| `state` | vps.VpsOptionStateEnum | read-only | The state of the option — one of `released`, `subscribed` |

```json
{
  "option": "additionalDisk",
  "state": "released"
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/option/{option}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/vps/{serviceName}/option/{option}")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/vps/{serviceName}/option/{option}");

print_r($result);
?>
```

## Retrieve details about a specific task for this VPS

`GET /1.0/vps/{serviceName}/tasks/{id}`

Link: https://developers.eu.ovhcloud.com/reference/bare-metal-cloud/vps/servers/#getVpsTask

**Status:** Stable production version  
**IAM actions:** `vps:apiovh:tasks/get`

Returns the type, state, progress and date of a task of the VPS.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | integer | yes | Id |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | vps.Task | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `date` | string (date-time) | read-only |  |
| `id` | integer | read-only |  |
| `progress` | integer | read-only |  |
| `state` | vps.TaskStateEnum | read-only | All states a VPS task can be in — one of `blocked`, `cancelled`, `doing`, `done`, `error`, `paused`, `todo`, `waitingAck` |
| `type` | vps.TaskTypeEnum | read-only | All type a VPS task can be — one of `addVeeamBackupJob`, `changeRootPassword`, `createSnapshot`, `deleteSnapshot`, `deliverVm`, `getConsoleUrl`, `internalTask`, `migrate`, `openConsoleAccess`, `provisioningAdditionalIp`, `reOpenVm`, `rebootVm`, … |

```json
{
  "date": "2024-01-01T12:00:00Z",
  "id": 0,
  "progress": 0,
  "state": "blocked",
  "type": "addVeeamBackupJob"
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/tasks/{id}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/vps/{serviceName}/tasks/{id}")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/vps/{serviceName}/tasks/{id}");

print_r($result);
?>
```

## Request a reboot of the VPS

`POST /1.0/vps/{serviceName}/reboot`

Link: https://developers.eu.ovhcloud.com/reference/bare-metal-cloud/vps/servers/#rebootVps

**Status:** Stable production version  
**IAM actions:** `vps:apiovh:reboot`

Reboots the VPS and returns the task that performs it.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | vps.Task | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `date` | string (date-time) | read-only |  |
| `id` | integer | read-only |  |
| `progress` | integer | read-only |  |
| `state` | vps.TaskStateEnum | read-only | All states a VPS task can be in — one of `blocked`, `cancelled`, `doing`, `done`, `error`, `paused`, `todo`, `waitingAck` |
| `type` | vps.TaskTypeEnum | read-only | All type a VPS task can be — one of `addVeeamBackupJob`, `changeRootPassword`, `createSnapshot`, `deleteSnapshot`, `deliverVm`, `getConsoleUrl`, `internalTask`, `migrate`, `openConsoleAccess`, `provisioningAdditionalIp`, `reOpenVm`, `rebootVm`, … |

```json
{
  "date": "2024-01-01T12:00:00Z",
  "id": 0,
  "progress": 0,
  "state": "blocked",
  "type": "addVeeamBackupJob"
}
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/reboot" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.post("/vps/{serviceName}/reboot")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->post("/vps/{serviceName}/reboot");

print_r($result);
?>
```

## Rebuild (reinstall) this VPS and return an asynchronous task

`POST /1.0/vps/{serviceName}/rebuild`

Link: https://developers.eu.ovhcloud.com/reference/bare-metal-cloud/vps/servers/#rebuildVps

**Status:** Beta version  
**IAM actions:** `vps:apiovh:rebuild`

Rebuilds the VPS with the given template and returns the task that performs it.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Request body (required)

Type: `vps.rebuild.post`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `doNotSendPassword` | boolean |  | If asked, the installation password will NOT be sent (only if sshKey defined) |
| `imageId` | string | yes | Id of the vps.Image fetched in /images list |
| `installRTM` | boolean |  | If asked, RTM will be installed on your VPS |
| `postInstallScript` | string |  | Bash script run once on first boot after reinstall |
| `publicSshKey` | string |  | Public SSH key to pre-install on your VPS |
| `sshKey` | string |  | SSH key name to pre-install on your VPS (name from /me/sshKey) |

```json
{
  "doNotSendPassword": true,
  "imageId": "string",
  "installRTM": true,
  "postInstallScript": "string",
  "publicSshKey": "string",
  "sshKey": "string"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | vps.Task | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `date` | string (date-time) | read-only |  |
| `id` | integer | read-only |  |
| `progress` | integer | read-only |  |
| `state` | vps.TaskStateEnum | read-only | All states a VPS task can be in — one of `blocked`, `cancelled`, `doing`, `done`, `error`, `paused`, `todo`, `waitingAck` |
| `type` | vps.TaskTypeEnum | read-only | All type a VPS task can be — one of `addVeeamBackupJob`, `changeRootPassword`, `createSnapshot`, `deleteSnapshot`, `deliverVm`, `getConsoleUrl`, `internalTask`, `migrate`, `openConsoleAccess`, `provisioningAdditionalIp`, `reOpenVm`, `rebootVm`, … |

```json
{
  "date": "2024-01-01T12:00:00Z",
  "id": 0,
  "progress": 0,
  "state": "blocked",
  "type": "addVeeamBackupJob"
}
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/rebuild" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: vps.rebuild.post
result = client.post("/vps/{serviceName}/rebuild",
	doNotSendPassword = None, # If asked, the installation password will NOT be sent (only if sshKey defined) (type: boolean)
	imageId = None, # Id of the vps.Image fetched in /images list (type: string)
	installRTM = None, # If asked, RTM will be installed on your VPS (type: boolean)
	postInstallScript = None, # Bash script run once on first boot after reinstall (type: string)
	publicSshKey = None, # Public SSH key to pre-install on your VPS (type: string)
	sshKey = None, # SSH key name to pre-install on your VPS (name from /me/sshKey) (type: string)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: vps.rebuild.post
$result = $ovh->post("/vps/{serviceName}/rebuild", array(
	doNotSendPassword => null, // If asked, the installation password will NOT be sent (only if sshKey defined) (type: boolean)
	imageId => null, // Id of the vps.Image fetched in /images list (type: string)
	installRTM => null, // If asked, RTM will be installed on your VPS (type: boolean)
	postInstallScript => null, // Bash script run once on first boot after reinstall (type: string)
	publicSshKey => null, // Public SSH key to pre-install on your VPS (type: string)
	sshKey => null, // SSH key name to pre-install on your VPS (name from /me/sshKey) (type: string)
));

print_r($result);
?>
```

## Start the VPS (power on) and return an asynchronous task

`POST /1.0/vps/{serviceName}/start`

Link: https://developers.eu.ovhcloud.com/reference/bare-metal-cloud/vps/servers/#startVps

**Status:** Stable production version  
**IAM actions:** `vps:apiovh:start`

Starts the VPS and returns the task that performs it.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | vps.Task | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `date` | string (date-time) | read-only |  |
| `id` | integer | read-only |  |
| `progress` | integer | read-only |  |
| `state` | vps.TaskStateEnum | read-only | All states a VPS task can be in — one of `blocked`, `cancelled`, `doing`, `done`, `error`, `paused`, `todo`, `waitingAck` |
| `type` | vps.TaskTypeEnum | read-only | All type a VPS task can be — one of `addVeeamBackupJob`, `changeRootPassword`, `createSnapshot`, `deleteSnapshot`, `deliverVm`, `getConsoleUrl`, `internalTask`, `migrate`, `openConsoleAccess`, `provisioningAdditionalIp`, `reOpenVm`, `rebootVm`, … |

```json
{
  "date": "2024-01-01T12:00:00Z",
  "id": 0,
  "progress": 0,
  "state": "blocked",
  "type": "addVeeamBackupJob"
}
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/start" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.post("/vps/{serviceName}/start")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->post("/vps/{serviceName}/start");

print_r($result);
?>
```

## Stop the VPS (power off) and return an asynchronous task

`POST /1.0/vps/{serviceName}/stop`

Link: https://developers.eu.ovhcloud.com/reference/bare-metal-cloud/vps/servers/#stopVps

**Status:** Stable production version  
**IAM actions:** `vps:apiovh:stop`

Stops the VPS and returns the task that performs it.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | vps.Task | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `date` | string (date-time) | read-only |  |
| `id` | integer | read-only |  |
| `progress` | integer | read-only |  |
| `state` | vps.TaskStateEnum | read-only | All states a VPS task can be in — one of `blocked`, `cancelled`, `doing`, `done`, `error`, `paused`, `todo`, `waitingAck` |
| `type` | vps.TaskTypeEnum | read-only | All type a VPS task can be — one of `addVeeamBackupJob`, `changeRootPassword`, `createSnapshot`, `deleteSnapshot`, `deliverVm`, `getConsoleUrl`, `internalTask`, `migrate`, `openConsoleAccess`, `provisioningAdditionalIp`, `reOpenVm`, `rebootVm`, … |

```json
{
  "date": "2024-01-01T12:00:00Z",
  "id": 0,
  "progress": 0,
  "state": "blocked",
  "type": "addVeeamBackupJob"
}
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/stop" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.post("/vps/{serviceName}/stop")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->post("/vps/{serviceName}/stop");

print_r($result);
?>
```

## Edit properties of the given VPS

`PUT /1.0/vps/{serviceName}`

Link: https://developers.eu.ovhcloud.com/reference/bare-metal-cloud/vps/servers/#editVPS

**Status:** Stable production version  
**IAM actions:** `vps:apiovh:put`

Updates the display name, the KVM keyboard layout, the netboot mode and the SLA monitoring of the VPS. A keyboard layout change requires a reboot; a netboot change reboots a Cloud VPS automatically.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Request body (required)

Type: `vps.VPS`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `cluster` | string | read-only |  |
| `displayName` | string |  | Set the name displayed in ManagerV6 for your VPS (max 50 chars) |
| `keymap` | vps.VpsKeymapEnum |  | Set KVM keyboard layout on VPS Cloud. Reboot your VPS after change — one of `fr`, `us` |
| `lockStatus` | vps.LockStatus | read-only | Lock status of the VPS |
| `lockStatus.locked` | boolean | read-only | Indicates whether the VPS is locked |
| `lockStatus.reason` | vps.LockReasonEnum | read-only | The reason for the lock — one of `abuse` |
| `memoryLimit` | integer | read-only |  |
| `model` | vps.Model | read-only | A structure describing characteristics of a VPS model |
| `model.availableOptions` | vps.VpsOptionEnum[] |  |  |
| `model.datacenter` | string[] |  |  |
| `model.disk` | integer |  |  |
| `model.diskLocationType` | vps.disk.LocationTypeEnum | read-only | Possible location type a disk can have — one of `distant`, `local` |
| `model.maximumAdditionnalIp` | integer |  |  |
| `model.memory` | integer |  |  |
| `model.name` | string |  |  |
| `model.offer` | string |  |  |
| `model.vcore` | integer |  |  |
| `model.version` | vps.VpsVersionEnum |  | All versions that VPS can have — one of `2013v1`, `2014v1`, `2015v1`, `2017v1`, `2017v2`, `2017v3`, `2018v1`, `2018v2`, `2019v1`, `2025v1` |
| `monitoringIpBlocks` | ipBlock[] | read-only | Ip blocks for OVH monitoring servers |
| `name` | string | read-only |  |
| `netbootMode` | vps.VpsNetbootEnum |  | All values a VPS netboot mode can be in — one of `distant`, `local`, `rescue` |
| `offerType` | vps.VpsOfferEnum | read-only | All offers a VPS can have — one of `beta-classic`, `classic`, `cloud`, `cloudram`, `game-classic`, `lowlat`, `ssd` |
| `slaMonitoring` | boolean |  |  |
| `state` | vps.VpsStateEnum | read-only | All states a VPS can be in — one of `backuping`, `installing`, `maintenance`, `rebooting`, `rescued`, `running`, `stopped`, `stopping`, `upgrading` |
| `vcore` | integer | read-only |  |
| `zone` | string | read-only |  |
| `zoneType` | vps.ZoneTypeEnum | read-only | Enum values for zone type — one of `localzone`, `region` |

```json
{
  "displayName": "string",
  "keymap": "fr",
  "netbootMode": "distant",
  "slaMonitoring": true
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X PUT \
  "https://api.eu.ovhcloud.com/1.0/vps/{serviceName}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: vps.VPS
result = client.put("/vps/{serviceName}",
	displayName = None, # Set the name displayed in ManagerV6 for your VPS (max 50 chars) (type: string, nullable)
	keymap = None, # Set KVM keyboard layout on VPS Cloud. Reboot your VPS after change (type: vps.VpsKeymapEnum, nullable)
	netbootMode = None, # All values a VPS netboot mode can be in (type: vps.VpsNetbootEnum)
	slaMonitoring = None, #  (type: boolean, nullable)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: vps.VPS
$result = $ovh->put("/vps/{serviceName}", array(
	displayName => null, // Set the name displayed in ManagerV6 for your VPS (max 50 chars) (type: string, nullable)
	keymap => null, // Set KVM keyboard layout on VPS Cloud. Reboot your VPS after change (type: vps.VpsKeymapEnum, nullable)
	netbootMode => null, // All values a VPS netboot mode can be in (type: vps.VpsNetbootEnum)
	slaMonitoring => null, //  (type: boolean, nullable)
));

print_r($result);
?>
```
